c
       character*56 ifile
       dimension id(14),pgm(2)
c
c       print*,'original grid'
       read(5,100) ifile
       print*,'x'
       print*,ifile
c       print*,'output grid'
       read(5,100) ifile
       print*,ifile
c       print*,'trimmed grid'
       read(5,100) ifile
100    format(a)
       open(10,file=ifile,form='unformatted',status='old')
       read(10) id,pgm,nc1,nr1,nz,xo1,dx,yo1,dy
       nc=nc1+2
       nr=nr1+2
       xo=xo1-dx
       yo=yo1-dy
       print*
       print*,'1'
       print*,xo,yo
       print*,'2'
       print*,nc,nr
       print*,'s'
       end

